{{title='Process Data–Technical'}}
{{icon="enterdata"}}
{{chosenUseCase = db(db.t_applicationselection).select().first().as_dict()["f_name"]}}
{{goals = db(db.t_goals).select().first().as_dict()}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/popup.css')}}">
</head>
{{extend 'dataInputLayout.html'}}
<body>
    {{=form.custom.begin}}
    <div class="formInputs">
        {{if (goals['f_flex'] or goals['f_prod']  or goals['f_qual'] or goals['f_safe'] or  goals['f_sus'] or goals['f_util'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
            <div id="t_technicalProcessData_f_productiondaysperyear_label"><div class="qmarkBefore" id="productiondaysperyear">&#8505</div>
                {{=form.custom.label.f_productiondaysperyear}}:<span id="t_technicalProcessData_f_productiondaysperyear_description">Amount of time within a day during which the application is not available</span>
            </div><div>{{=form.custom.widget.f_productiondaysperyear}} {{=form.custom.comment.f_productiondaysperyear}}</div>
            <div id="t_technicalProcessData_f_applicationmaintenance_time_label"><div class="qmarkBefore" id="applicationmaintenance_time">&#8505</div>
                {{=form.custom.label.f_applicationmaintenance_time}}:<span id="t_technicalProcessData_f_applicationmaintenance_time_description">Duration of a single maintenance operation</span>
            </div><div>{{=form.custom.widget.f_applicationmaintenance_time}} {{=form.custom.comment.f_applicationmaintenance_time}}</div>
            {{if chosenUseCase == "blisk":}}
                <div id="t_technicalProcessData_f_applicationmaintenance_number_label"><div class="qmarkBefore" id="applicationmaintenance_number">&#8505</div>
                    {{=form.custom.label.f_applicationmaintenance_number}}:<span id="t_technicalProcessData_f_applicationmaintenance_number_description">Average number of Maintenance Operations per Day</span>
                </div><div>{{=form.custom.widget.f_applicationmaintenance_number}} {{=form.custom.comment.f_applicationmaintenance_number}}</div>
            {{pass}}
            <div id="t_technicalProcessData_f_applicationoperationtime_planned_label"><div class="qmarkBefore" id="applicationoperationtime_planned">&#8505</div>
                {{=form.custom.label.f_applicationoperationtime_planned}}:<span id="t_technicalProcessData_f_applicationoperationtime_planned_description">Planned time per day during which the application is in operation (includes downtime)</span>
            </div><div>{{=form.custom.widget.f_applicationoperationtime_planned}}{{=form.custom.comment.f_applicationoperationtime_planned}}</div>
            <div id="t_technicalProcessData_f_applicationsetup_number_label"><div class="qmarkBefore" id="applicationsetup_number">&#8505</div>
                {{=form.custom.label.f_applicationsetup_number}}:<span id="t_technicalProcessData_f_applicationsetup_number_description">Planned time during which part is transported from one location to another</span>
            </div><div>{{=form.custom.widget.f_applicationsetup_number}} {{=form.custom.comment.f_applicationsetup_number}}</div>
            <div id="t_technicalProcessData_f_applicationsetup_time_label"><div class="qmarkBefore" id="applicationsetup_time">&#8505</div>
                {{=form.custom.label.f_applicationsetup_time}}:<span id="t_technicalProcessData_f_applicationsetup_time_description">Planned time to make application ready to produce a new product variant</span>
            </div><div>{{=form.custom.widget.f_applicationsetup_time}} {{=form.custom.comment.f_applicationsetup_time}}</div>
            {{if (chosenUseCase == "agv"):}}
                <div id="t_technicalProcessData_f_batchsize_label"><div class="qmarkBefore" id="batchsize">&#8505</div>
                    {{=form.custom.label.f_batchsize}}:<span id="t_technicalProcessData_f_batchsize_description">Number of parts that are manufactured in a production run without interruption</span>
                </div><div>{{=form.custom.widget.f_batchsize}} {{=form.custom.comment.f_batchsize}}</div>
            {{pass}}
        {{pass}}
        {{if (goals['f_prod'] or goals['f_safe'] or goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
        <div id="t_technicalProcessData_f_personnelbreaktime_planned_label"><div class="qmarkBefore" id="personnelbreaktime_planned">&#8505</div>
            {{=form.custom.label.f_personnelbreaktime_planned}}:<span id="t_technicalProcessData_f_personnelbreaktime_planned_description">Number of parts that undergo quality control (within a day)</span>
        </div><div>{{=form.custom.widget.f_personnelbreaktime_planned}} {{=form.custom.comment.f_personnelbreaktime_planned}}</div>
        <div id="t_technicalProcessData_f_personnelworktimepershift_planned_label"><div class="qmarkBefore" id="personnelworktimepershift_planned">&#8505</div>
            {{=form.custom.label.f_personnelworktimepershift_planned}}:<span id="t_technicalProcessData_f_personnelworktimepershift_planned_description">Amount of time during which part is transported from one location to another</span>
        </div><div>{{=form.custom.widget.f_personnelworktimepershift_planned}} {{=form.custom.comment.f_personnelworktimepershift_planned}}</div>
        <div id="t_technicalProcessData_f_shiftsperday_label"><div class="qmarkBefore" id="shiftsperday">&#8505</div>
            {{=form.custom.label.f_shiftsperday}}:<span id="t_technicalProcessData_f_shiftsperday_description">Amount of time to make application ready to produce a new product variant</span>
        </div><div>{{=form.custom.widget.f_shiftsperday}} {{=form.custom.comment.f_shiftsperday}}</div>
        {{pass}}
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
    {{=form.custom.end}}
    {{message=""}}
</body>
